Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javassist.web
Class Viewer

    java.lang.Object
      |
      +--java.lang.ClassLoader
            |
            +--javassist.web.Viewer

public class Viewer
extends java.lang.ClassLoader

An applet viewer.

This is a sort of applet viewer that can run any program even if the main class is not a subclass of `Applet`. This viewwer first calls `main()` in the main class.

To run, you should type:

`% java javassist.web.Viewer host port Main arg1, ...`

This command calls `Main.main()` with `arg1,...` All classes including `Main` are fetched from a server http://host:port. Only the class file for `Viewer` must exist on a local file system at the client side; even other `javassist.*` classes are not needed at the client side. `Viewer` uses only Java core API classes.

Note: since a `Viewer` object is a class loader, a program loaded by this object can call a method in `Viewer`. For example, you can write something like this:

     Viewer v = (Viewer)this.getClass().getClassLoader();
     String port = v.getPort();

Constructor Summary
`Viewer(java.lang.String host, int p)` Constructs a viewer.

Method Summary
`int` | `getPort()` Returns the port number.
`java.lang.String` | `getServer()` Returns the server name.
`static void` | `main(java.lang.String[] args)` Starts a program.
`void` | `run(java.lang.String classname, java.lang.String[] args)` Invokes main() in the class specified by `classname`.

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Viewer

    public Viewer(java.lang.String host,
                  int p)

  Constructs a viewer.

Parameters:
  `host` - server name
  `p` - port number

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Throwable

  Starts a program.

    `java.lang.Throwable`

### getServer

    public java.lang.String getServer()

  Returns the server name.

### getPort

    public int getPort()

  Returns the port number.

### run

    public void run(java.lang.String classname,
                    java.lang.String[] args)
             throws java.lang.Throwable

  Invokes main() in the class specified by `classname`.

  Parameters:
    `classname` - executed class
    `args` - the arguments passed to `main()`.
    `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Javassist, a Java-bytecode translator toolkit. Copyright (C) 1999-2003 Shigeru Chiba. All Rights Reserved.